# Class SourcePermissions

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

    public class SourcePermissions

Inheritance
  object
  SourcePermissions

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### SourcePermissions(DisplayPermissionTypes, DisplayPermissionTypes, PanelPermissionTypes)

    public SourcePermissions(DisplayPermissionTypes unit, DisplayPermissionTypes display, PanelPermissionTypes panel)

#### Parameters

`unit` DisplayPermissionTypes
`display` DisplayPermissionTypes
`panel` PanelPermissionTypes

## Properties

### Display

    public DisplayPermissionTypes Display { get; set; }

#### Property Value

DisplayPermissionTypes

### Panel

    public PanelPermissionTypes Panel { get; set; }

#### Property Value

PanelPermissionTypes

### Unit

    public DisplayPermissionTypes Unit { get; set; }

#### Property Value

DisplayPermissionTypes